Tuesday July 25, 2017


Microsoft to secure IE for XP only
  Posted by: Anandtech on Sep 23rd, 2004 10:39 AM
News from Anandtech
Unless you're running Windows XP or above, the latest security enhancements to Internet Explorer 6 SP1 will not be available to you. Now that I've discovered the wonder that is FireFox, I'm sure that other people running 2000 or ME (I'll strike you down myself if you're running this) too ...

(Read More)

Read More

View All Articles